NAME

OpenAPI::Client::OpenAI::Path::evals-eval_id - Documentation for the /evals/{eval_id} path.

OPERATIONS

DELETE /evals/{eval_id}

deleteEval

$client->delete_eval({
    body => { ... },
});

Delete an evaluation.

Path/query parameters

  • eval_id (in path, required, string) - The ID of the evaluation to delete.

Responses

200 - Successfully deleted the evaluation.

Content-Type: application/json

Properties:

  • deleted (boolean, required)

  • eval_id (string, required)

  • object (string, required)

Example:

{
   "deleted" : true,
   "eval_id" : "eval_abc123",
   "object" : "eval.deleted"
}

404 - Evaluation not found.

Content-Type: application/json

Example:

{
   "code" : "string",
   "message" : "string",
   "param" : "string",
   "type" : "string"
}

GET /evals/{eval_id}

getEval

$client->get_eval({
    body => { ... },
});

Get an evaluation by ID.

Path/query parameters

  • eval_id (in path, required, string) - The ID of the evaluation to retrieve.

Responses

200 - The evaluation

Content-Type: application/json

Example:

"{\n  \"object\": \"eval\",\n  \"id\": \"eval_67abd54d9b0081909a86353f6fb9317a\",\n  \"data_source_config\": {\n    \"type\": \"custom\",\n    \"item_schema\": {\n      \"type\": \"object\",\n      \"properties\": {\n        \"label\": {\"type\": \"string\"},\n      },\n      \"required\": [\"label\"]\n    },\n    \"include_sample_schema\": true\n  },\n  \"testing_criteria\": [\n    {\n      \"name\": \"My string check grader\",\n      \"type\": \"string_check\",\n      \"input\": \"{{sample.output_text}}\",\n      \"reference\": \"{{item.label}}\",\n      \"operation\": \"eq\",\n    }\n  ],\n  \"name\": \"External Data Eval\",\n  \"created_at\": 1739314509,\n  \"metadata\": {\n    \"test\": \"synthetics\",\n  }\n}\n"

POST /evals/{eval_id}

updateEval

$client->update_eval({
    body => { ... },
});

Update certain properties of an evaluation.

Path/query parameters

  • eval_id (in path, required, string) - The ID of the evaluation to update.

Request body

Content-Type: application/json

Properties:

  • metadata (Metadata)

    See "Metadata" below for shape.

  • name (string) - Rename the evaluation.

Example:

{
   "metadata" : {},
   "name" : "string"
}

Responses

200 - The updated evaluation

Content-Type: application/json

Example:

"{\n  \"object\": \"eval\",\n  \"id\": \"eval_67abd54d9b0081909a86353f6fb9317a\",\n  \"data_source_config\": {\n    \"type\": \"custom\",\n    \"item_schema\": {\n      \"type\": \"object\",\n      \"properties\": {\n        \"label\": {\"type\": \"string\"},\n      },\n      \"required\": [\"label\"]\n    },\n    \"include_sample_schema\": true\n  },\n  \"testing_criteria\": [\n    {\n      \"name\": \"My string check grader\",\n      \"type\": \"string_check\",\n      \"input\": \"{{sample.output_text}}\",\n      \"reference\": \"{{item.label}}\",\n      \"operation\": \"eq\",\n    }\n  ],\n  \"name\": \"External Data Eval\",\n  \"created_at\": 1739314509,\n  \"metadata\": {\n    \"test\": \"synthetics\",\n  }\n}\n"

SCHEMAS

Error

Properties:

  • code (anyOf, required)

  • message (string, required)

  • param (anyOf, required)

  • type (string, required)

Eval

Properties:

  • created_at (integer, required) - The Unix timestamp (in seconds) for when the eval was created.

  • data_source_config (object, required) - Configuration of data sources used in runs of the evaluation.

  • id (string, required) - Unique identifier for the evaluation.

  • metadata (Metadata, required)

    See "Metadata" below for shape.

  • name (string, required) - The name of the evaluation.

  • object (string, required) - The object type.

    Allowed values: eval

    Default: eval

  • testing_criteria (array of object, required) - A list of testing criteria.

    Default: eval

Metadata

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.